#!/bin/bash

DATAPATH=$1
OSMFILE=$2

if [ -e "$DATAPATH/$OSMFILE" ]; then
  rm "$DATAPATH/$OSMFILE"
fi

# Get the Métropole de Lyon adresses file
if [ -e "$DATAPATH/bal_200046977.csv" ]; then
  rm $DATAPATH/bal_200046977.csv
fi

wget --directory-prefix=$DATAPATH https://download.data.grandlyon.com/files/grandlyon/localisation/bal/bal_200046977.csv

echo "::: Creating OSM file... :::"
python3 bal_2_osm.py $DATAPATH $OSMFILE

touch $DATAPATH/osm_ready
echo "::: OSM file ready :::"
